Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController

    java.lang.Object
      org.apache.batik.apps.svgbrowser.JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController

All Implemented Interfaces:
  DOMViewerController

Enclosing class:
  JSVGViewerFrame.Canvas

    protected class JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController

extends Object
implements DOMViewerController

JSVGViewerFrame DOMViewerController implementation.

Constructor Summary
`protected` | `JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController()`

Method Summary
`boolean` | `canEdit()` Checks whether the DOMViewer should be allowed to edit the document.
`ElementOverlayManager` | `createSelectionManager()` Creates the ElementSelectionManager to manage the selection overlay on the canvas.
`Document` | `getDocument()` Gets the document for the DOMViewer to show.
`void` | `performUpdate(Runnable r)` Performs the document update.
`void` | `removeSelectionOverlay(Overlay selectionOverlay)` Removes the given selection overlay from the canvas.
`void` | `selectNode(Node node)` Selects the given node in the DOMViewer's document tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController

    protected JSVGViewerFrame.Canvas.JSVGViewerDOMViewerController()

Method Detail

### canEdit

    public boolean canEdit()

  Description copied from interface: `DOMViewerController`
  Checks whether the DOMViewer should be allowed to edit the document.

  Specified by:
    `canEdit` in interface `DOMViewerController`
  Returns:
    True for non static documents, when UpdateManager is available

### createSelectionManager

    public ElementOverlayManager createSelectionManager()

  Description copied from interface: `DOMViewerController`
  Creates the ElementSelectionManager to manage the selection overlay on the canvas.

  Specified by:
    `createSelectionManager` in interface `DOMViewerController`
  Returns:
    ElementSelectionManager

### getDocument

    public Document getDocument()

  Description copied from interface: `DOMViewerController`
  Gets the document for the DOMViewer to show.

  Specified by:
    `getDocument` in interface `DOMViewerController`
  Returns:
    the document

### performUpdate

    public void performUpdate(Runnable r)

  Description copied from interface: `DOMViewerController`
  Performs the document update.

  Specified by:
    `performUpdate` in interface `DOMViewerController`
  Parameters:
    `r` - The runnable that contains the update

### removeSelectionOverlay

    public void removeSelectionOverlay(Overlay selectionOverlay)

  Description copied from interface: `DOMViewerController`
  Removes the given selection overlay from the canvas.

  Specified by:
    `removeSelectionOverlay` in interface `DOMViewerController`
  Parameters:
    `selectionOverlay` - The given selection overlay

### selectNode

    public void selectNode(Node node)

  Description copied from interface: `DOMViewerController`
  Selects the given node in the DOMViewer's document tree.

  Specified by:
    `selectNode` in interface `DOMViewerController`
  Parameters:
    `node` - The node to select

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.